Subject: [bug#78230] [PATCH] services: plasma-dbus-service: Fix kded not being started.

From: Sergio Pastor Pérez <[email-masked]>
Date: Sun, 04 May 2025 20:50:35 +0200

Z572 <[email-masked]> writes:
> Sughosha via Guix-patches via <[email-masked]> writes:
>> plasma-dbus-service should contain packages with dbus
>> "system-services".
>> Unless a package contains "share/dbus-1/system-services" directory,
>> adding it
>> here is unnecessary. "kded" is already present in the propagated
>> inputs of
>> "plasma" package. So as of my knowledge this commit is useless. Even
>> before
>> this commit, media keys handling, system tray and background service
>> control
>> through "kcmshell6 kcm_kded" is working for me (I have not yet
>> reconfigured
>> guix with this commit). You might have missed something else in your
>> system
>> profile. Did this commit made any difference to you?
>
> Previously, when I used pipewire on guix home, I couldn't control the
> sound using the keys on the keyboard. After this patch, it was possible.

Yes, I did not think of it. I'm also using pipewire, thanks for pointing
it out.